curl --request GET \
--url https://api.getovra.com/intents/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"agentId": "<string>",
"purpose": "<string>",
"expectedAmountEuros": 123,
"expectedMerchant": "<string>",
"recurring": {},
"expiresAt": "2023-11-07T05:31:56Z",
"cardId": "<string>",
"policyCheck": {
"allowed": true,
"requiresApproval": true,
"reason": "<string>"
},
"clientIntentId": "<string>",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}curl --request GET \
--url https://api.getovra.com/intents/{id} \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"agentId": "<string>",
"purpose": "<string>",
"expectedAmountEuros": 123,
"expectedMerchant": "<string>",
"recurring": {},
"expiresAt": "2023-11-07T05:31:56Z",
"cardId": "<string>",
"policyCheck": {
"allowed": true,
"requiresApproval": true,
"reason": "<string>"
},
"clientIntentId": "<string>",
"approvedBy": "<string>",
"approvedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.getovra.com/llms.txt
Use this file to discover all available pages before exploring further.
API key (sk_sandbox_* / sk_test_* / sk_live_*) or Agent token (at_* / at_dlg_*)
Intent object
approved, pending_approval, failed, denied, cancelled, completed, expired Show child attributes